GH-DISCUSSION-CREATE(1)

NAME
gh-discussion-create - Create a new discussion (preview)

SYNOPSIS
gh discussion create [flags]

DESCRIPTION
Create a new GitHub Discussion in a repository.

With --title, --body (or --body-file), and --category, a discussion is created non-interactively. Omitting any of these flags triggers interactive prompts when connected to a terminal.

OPTIONS

-b, --body <string>
    Body for the discussion

-F, --body-file <string>
    Read body text from file (use "-" to read from stdin)

-c, --category <string>
    Category name or slug for the discussion

-l, --label <strings>
    Labels to apply to the discussion

-R, --repo <[HOST/]OWNER/REPO>
    Select another repository using the [HOST/]OWNER/REPO format

-t, --title <string>
    Title for the discussion

EXIT CODES
0: Successful execution

1: Error

2: Command canceled

4: Authentication required

NOTE: Specific commands may have additional exit codes. Refer to the command's help for more information.

EXAMPLE
    # Create interactively
    $ gh discussion create
    # Create non-interactively
    $ gh discussion create --title "My question" --category "Q&A" --body "Details here"

SEE ALSO
gh-discussion(1)